driveItems.removeShare
Revoke a share grant.
DELETE /api/v1/drive-items/{itemId}/access/{email}
- SDK:
tb.driveItems.removeShare(input) - CLI:
thinkbench drive-items remove-share - MCP tool:
drive_items_remove_share
Input
| Field | Type | In | Description |
|---|---|---|---|
itemId |
string |
path | |
email |
string |
path |
Output
Returns an empty response on success.
Examples
curl
curl -X DELETE "https://app.thinkbench.com/api/v1/drive-items/<itemId>/access/<email>" \
-H "x-api-key: $THINKBENCH_API_KEY"TypeScript SDK
await tb.driveItems.removeShare({ itemId: "<itemId>", email: "ada@example.com" });CLI
thinkbench drive-items remove-share --item-id "<itemId>" --email "ada@example.com"MCP
{
"name": "drive_items_remove_share",
"arguments": {
"itemId": "<itemId>",
"email": "ada@example.com"
}
}